POST
/affiliate_seller/202412/open_collaborations
This API allows the seller to create an open collaboration. You create an open collaboration by selecting products and setting a commission rate.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
product_id
required
The product ID to add to the affiliate open collaboration. Submit one product per request.
string
commission_rate
required
The commission rate for the open collaboration, expressed in hundredths of a percent. For example, 3587 represents 35.87%. The value must be from 100 to 8000, inclusive.
integer format: int64
Example
{ "product_id": "789078671231", "commission_rate": 1000}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
open_collaboration
The open collaboration.
object
id
The open collaboration identifier.
string
product_id
The product identifier.
string
effective_time
The time from which the open collaboration commission is effective, expressed as a Unix timestamp in seconds.
integer format: int64
Example
{ "code": 0, "data": { "open_collaboration": { "id": "7365861555575916210", "product_id": "789078671231", "effective_time": 1715654330 } }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}